<%= render :partial => "header" %>

<table class="list">
    <tr>
    	<% if admin? %>
            <th><%=table_header @search, "Done", "Sort by done", "libraries.done" %></th>
        <% end %>
		<th><%=table_header @search, "Code", "Sort by label", "libraries.code" %></th>
        <th><%=table_header @search, "Name", "Sort by name", "libraries.name" %></th>
        <th><%=table_header @search, "Country", "Sort by country", "countries.label" %></th>
        <th><%=table_header @search, "City", "Sort by city", "libraries.city" %></th>
    <tr>

    <%  @page.each_index do |i| 
        library = Library.find @page[i] %>
      <tr <%= "id='current_record'" if library.id == @search.record %>
            onmouseover="document.getElementById('current_record').id = null; this.onmouseover=null;"
        class="<%= cycle('odd', 'even')%>"
        onclick="window.location.href='<%= url_for :action => :show, :id => @search.search_id, :record => @search.records_per_page * (@search.page_number - 1) + i%>'"
        title='View Full Record for this library<%= " mit der ID #{library.id}" if admin?%>'>
        <% if admin? %>
        	<td><%=code_label library.done, 'done' %></td>
        <% end %>
		<td><%= library.nice_label%></td>
        <td><%= hyphenate(library.name)%>
        <td><%= library.country ? "#{library.country.label}" : "---"%></td>
        <td><%= hyphenate library.city%></td>
      <tr>
    <% end %>
    
</table>
	
<% if @page.size > 9%>
    <div id="search_footer">
        <%= render :partial => "page_size"%>
        <%= render :partial => "pager"%>
    </div>
<% end %>
